---
search:
  tags:
    - offline-sync
    - DELETE
seo:
  description: >-
    Revoke one of the calling user’s devices (scope sync:write). Reference for
    the DELETE /api/v1/sync/devices/{id} endpoint in the Basenet Public API.
sidebar:
  label: Revoke one of the calling user’s devices (scope sync:write)
  badge: DELETE
title: Revoke one of the calling user’s devices (scope sync:write)
type: openapi-operation
---
Endpoint: `DELETE /api/v1/sync/devices/{id}`

Authentication: `bearerAuth` (Scoped API token (bnx\_…). Required scopes are noted per operation.)

Parameters:
- `id` (in path, string, required)

Responses:
- `200`: Device revoked
- `401`: Unauthenticated
- `403`: Forbidden (missing scope or permission)
- `404`: Not found
- `429`: Rate limited

Response 200 body (`application/json`):
- `id` (string, required)
- `revoked` (one of `true`, required)
